Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-*

Scroll Down

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-*

一般出现这个问题是由于pip版本太低或者pip有问题的原因

此时需要升级pip:

# pip3执行
pip3 install --upgrade pip

# pip执行
pip install --upgrade pip

# 如果上面升级失败,可以试试
python -m pip install --upgrade --force pip

解决方法1

如果在升级过程中报标题中的错误,则通过gt-pip.py文件进行安装(以python2.7为例):

# 先卸载安装的python-pip
sudo yum remove python-pip

# 下载get-pip.py文件
wget https://bootstrap.pypa.io/pip/2.7/get-pip.py
sudo python get-pip.py

解决方法2

这种方法是在网上看到的,没有亲自试验,请自行尝试

# 如果安装了python2-pip或者python-pip,先卸载
yum  -y remove python2-pip python-pip

# 安装python2-pip
yum  -y install  python2-pip

# 安装zabbix-api
pip install zabbix-api